import { Component, inject } from '@angular/core';
import { KeycloakService } from 'keycloak-angular';
import { RouterLink } from '@angular/router';

@Component({
  selector: 'app-landing-page',
  standalone: true,
  imports: [RouterLink],
  templateUrl: './landing-page.component.html',
})
export class LandingPageComponent {
  private keycloakService: KeycloakService = inject(KeycloakService);

  public isLoggedIn = this.keycloakService.isLoggedIn();

  public login() {
    const baseUrl = window.location.origin;

    this.keycloakService.login({ redirectUri: `${baseUrl}/home` });
  }
}
